tbb::internal::allocator_type< T > Struct Template Reference

Class for determining type of std::allocator<T>::value_type. More...

`#include <tbb_stddef.h>`

Collaboration diagram for tbb::internal::allocator_type< T >:

## Public Types

typedef T | value_type

## Detailed Description

### template<typename T>
struct tbb::internal::allocator_type< T >

Class for determining type of std::allocator<T>::value_type.

Definition at line 471 of file tbb_stddef.h.

## Member Typedef Documentation

## value_type

template<typename T >

typedef T tbb::internal::allocator_type< T >::value_type

Definition at line 472 of file tbb_stddef.h.

The documentation for this struct was generated from the following file:

- tbb_stddef.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.